com::lomiri::location::providers::remote::skeleton::Configuration Struct Reference

All creation time arguments go here. More...

`#include <skeleton.h>`

Collaboration diagram for com::lomiri::location::providers::remote::skeleton::Configuration:

## Public Attributes

std::shared_ptr< core::dbus::Object > | object
| Remote object that should implement remote::Interface.
std::shared_ptr< core::dbus::Bus > | bus
| The bus connection for handling incoming requests.
Provider::Ptr | provider
| The actual provider implementation.

## Detailed Description

All creation time arguments go here.

Definition at line 41 of file providers/remote/skeleton.h.

## Member Data Documentation

## bus

std::shared_ptr<core::dbus::Bus> com::lomiri::location::providers::remote::skeleton::Configuration::bus

The bus connection for handling incoming requests.

Definition at line 46 of file providers/remote/skeleton.h.

## object

std::shared_ptr<core::dbus::Object> com::lomiri::location::providers::remote::skeleton::Configuration::object

Remote object that should implement remote::Interface.

Definition at line 44 of file providers/remote/skeleton.h.

## provider

Provider::Ptr com::lomiri::location::providers::remote::skeleton::Configuration::provider

The actual provider implementation.

Definition at line 48 of file providers/remote/skeleton.h.

The documentation for this struct was generated from the following file:

- providers/remote/skeleton.h